Subject: Re: bug#24453: Hyper and super keys don't work in some branches

From: Mambo Levis <[email-masked]>
Date: Sat, 17 Sep 2016 12:26:37 +0000 (UTC)

Emacs 25 changed some aspects of keyboard handling.  If you set
w32-use-fallback-wm-chars-method to t, does the problem go away?
levis >> I tested it but the problem is still there! 

    On Saturday, September 17, 2016 2:06 PM, Eli Zaretskii <[email-masked]> wrote:

 > Date: Sat, 17 Sep 2016 11:52:43 +0000 (UTC)
> From: Mambo Levis <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> This is the piece of code in my config related to the keys:
> 
> ;; windows setup and environment vars
> (when (eq system-type 'windows-nt)
> (setq w32-pass-lwindow-to-system nil)
> (setq w32-pass-rwindow-to-system nil)
> ;;(setq w32-pass-apps-to-system nil)
> (setq w32-lwindow-modifier 'hyper) ; Left Windows key
> (setq w32-rwindow-modifier 'super) ; Right Windows key
> )

These work for me here in the pretest of Emacs 25.

> >> Or are you saying that on older versions the problem didn't exist?
> No, I don't have access to other windows version than 10.

So it might be indeed something specific to your Windows version.  Can
someone please try the above on Windows 7, 8, and 10, and see what
they get?

> Also notice that the problem also exists when I used the pretest (binaries) of version 25, it means that the
> problem is not located 
> in my build process. 
> 
> It is also important to remark that the official released version 24.5 (binaries) works without problem. 

Emacs 25 changed some aspects of keyboard handling.  If you set
w32-use-fallback-wm-chars-method to t, does the problem go away?